## codeblocks 12.11

=== src/sdk/wxscintilla/build/Makefile ===
##############################################################################
## File:        Makefile
## Purpose:     wxScintilla
## Maintainer:  Otto Wyss
## Created:     2004-09-19
## RCS-ID:      $Id$
## Copyright:   (c) 2004 wxCode
## Licence:     wxWindows
##############################################################################

# list of source files
SRC = PlatWX.cpp \
      ScintillaWX.cpp \
      wxscintilla.cpp \
      AutoComplete.cxx \
      CallTip.cxx \
      CellBuffer.cxx \
      CharClassify.cxx \
      ContractionState.cxx \
      Document.cxx \
      DocumentAccessor.cxx \
      Editor.cxx \
      Indicator.cxx \
      KeyMap.cxx \
      KeyWords.cxx \
      LexAda.cxx \
      LexAPDL.cxx \
      LexAsm.cxx \
      LexAsn1.cxx \
      LexAU3.cxx \
      LexAVE.cxx \
      LexBaan.cxx \
      LexBash.cxx \
      LexBasic.cxx \
      LexBullant.cxx \
      LexCaml.cxx \
      LexCLW.cxx \
      LexConf.cxx \
      LexCPP.cxx \
      LexCrontab.cxx \
      LexCsound.cxx \
      LexCSS.cxx \
      LexEiffel.cxx \
      LexErlang.cxx \
      LexEScript.cxx \
      LexFlagship.cxx \
      LexForth.cxx \
      LexFortran.cxx \
      LexGui4Cli.cxx \
      LexHaskell.cxx \
      LexHTML.cxx \
      LexInno.cxx \
      LexKix.cxx \
      LexLisp.cxx \
      LexLout.cxx \
      LexLua.cxx \
      LexMatlab.cxx \
      LexMetapost.cxx \
      LexMMIXAL.cxx \
      LexMPT.cxx \
      LexMSSQL.cxx \
      LexOpal.cxx \
      LexNsis.cxx \
      LexOthers.cxx \
      LexPascal.cxx \
      LexPB.cxx \
      LexPerl.cxx \
      LexPOV.cxx \
      LexPS.cxx \
      LexPython.cxx \
      LexRebol.cxx \
      LexRuby.cxx \
      LexScriptol.cxx \
      LexSmalltalk.cxx \
      LexSpecman.cxx \
      LexSpice.cxx \
      LexSQL.cxx \
      LexTADS3.cxx \
      LexTCL.cxx \
      LexTeX.cxx \
      LexVB.cxx \
      LexVerilog.cxx \
      LexVHDL.cxx \
      LexYAML.cxx \
      LineMarker.cxx \
      PropSet.cxx \
      RESearch.cxx \
      ScintillaBase.cxx \
      Style.cxx \
      StyleContext.cxx \
      UniConversion.cxx \
      ViewStyle.cxx \
      WindowAccessor.cxx \
      XPM.cxx

# source directories
vpath %.cpp ../src
vpath %.cxx ../src/scintilla/src

# additional header directories
INC = -I../include \
      -I../src/scintilla/include \
      -I../src/scintilla/src

DEF = -D__WX__=1 -DSCI_LEXER -DLINK_LEXERS

# objects
OBJ = $(patsubst %.cxx,%.o,$(SRC:.cpp=.o))

# library
LIB = libwxscintilla


##############################################################################
# implementation, change only if other settings or other targets are needed

ifneq ($(WXDEVEL),)
  WXDEVEL_Release = $(WXDEVEL)/Release/
  WXDEVEL_Debug = $(WXDEVEL)/Debug/
  WXDEVEL_Univ = $(WXDEVEL)/Univ/
endif

ifeq ($(MAKECMDGOALS),)
  WXCONFIG=wx-config
  GTKCONFIG=gtk-config
endif
ifeq ($(MAKECMDGOALS),release)
  WXCONFIG=wx-config
  GTKCONFIG=gtk-config
endif
ifeq ($(MAKECMDGOALS),debug)
  WXCONFIG=wxgtkd-2.4-config
  GTKCONFIG=gtk-config
endif
ifeq ($(MAKECMDGOALS),develdebug)
  WXCONFIG=$(WXDEVEL_Debug)wx-config --inplace
  GTKCONFIG=pkg-config gtk+-2.0
endif
ifeq ($(MAKECMDGOALS),univdebug)
  WXCONFIG=$(WXDEVEL_Univ)wx-config --inplace
  GTKCONFIG=pkg-config gtk+-2.0
endif

%.o:	%.cpp
	g++ -fpic -c $(DEF) $(INC) `$(WXCONFIG) --cxxflags` -g -o $@ $<

%.o:	%.cxx
	g++ -fpic -c $(DEF) $(INC) `$(WXCONFIG) --cxxflags` -g -o $@ $<

all:	$(LIB).so
$(LIB).so:	$(OBJ)
	g++ -fpic --share -o ../lib/$@ $^ `$(WXCONFIG) --libs`

release:	$(LIB).a
$(LIB).a:	$(OBJ)
	ar crs ../lib/$@ $^

debug:	$(LIB).so.d
$(LIB).so.d:	$(OBJ)
	g++ -fpic --share -o ../lib/$@ $^ `$(WXCONFIG) --libs`

develdebug:	$(LIB).so.dd
$(LIB).so.dd:	$(OBJ)
	g++ -fpic --share -o ../lib/$@ $^ `$(WXCONFIG) --libs`

univdebug:	$(LIB).so.ud
$(LIB).so.ud:	$(OBJ)
	g++ -fpic --share -o ../lib/$@ $^ `$(WXCONFIG) --libs`

clean:
	rm -f *.o

=== debian/changelog ===
codeblocks (12.11-2) experimental; urgency=low

  * Fix FTBFS by not overriding dh_fixperms and setting executable bit on a
    file that does not exist when arch:all packages are not built.

 -- Vincent Cheng <Vincentc1208@gmail.com>  Sat, 22 Dec 2012 13:02:26 -0800

codeblocks (12.11-1) experimental; urgency=low

  [ David Paleino ]
  * Remove references to Microsoft Windows in the long descriptions
    (Closes: #617684).
  * Add support for "-std=c99" for GCC compilers (Closes: #651306).
  * Standards-Version bump to 3.9.4, no changes needed.
  * Updated debian/copyright.
  * Updated debian/watch to catch new versions.
  * Bump debhelper compatibility to 9.

  [ Vincent Cheng ]
  * Acknowledge NMU by Matthias Klose, thanks!
  * New upstream release. (Closes: #696048)
    - Remove 03-fix_libX11_linkage.patch, ftbfs-gcc-4.7.diff; applied upstream.
    - Refresh remaining patches.
  * Add myself to Uploaders.
  * Add libhunspell-dev, libgamin-dev, libboost-dev to build dependencies.
  * Mark codeblocks-contrib-dbg as a transitional package and install all
    debugging symbols into codeblocks-dbg.
  * Remove lintian override script-not-executable.

 -- Vincent Cheng <Vincentc1208@gmail.com>  Sat, 22 Dec 2012 17:36:58 +0100

codeblocks (10.05-2.1) unstable; urgency=low

  * Non maintainer upload.
  * Drop build dependency on libstdc++6-4.5-dev | libstdc++6-4.4-dev.
  * Fix build failures with GCC 4.7, build with -fpermissive. Closes: #667138.

 -- Matthias Klose <doko@debian.org>  Tue, 29 May 2012 05:03:19 +0000

codeblocks (10.05-2) unstable; urgency=low

  * Added Vcs-* fields to debian/control
  * Added valgrind recommendation to codeblocks-contrib (Closes: #614590)
  * Added support for the unofficial sh4 port, thanks to Nobuhiro Iwamatsu
    for the patch -- 04-add_support_for_sh4.patch (Closes: #614508)
  * Fix long descriptions to use a better wording (Closes: #615815)

 -- David Paleino <dapal@debian.org>  Tue, 08 Mar 2011 10:13:15 +0100

=== debian/control ===
Source: codeblocks
Section: x11
Priority: optional
Maintainer: David Paleino <dapal@debian.org>
Uploaders: Michael Casadevall <sonicmctails@gmail.com>,
 Vincent Cheng <Vincentc1208@gmail.com>
Build-Depends: debhelper (>= 9~)
 , dh-autoreconf
 , libwxgtk2.8-dev
 , wx-common
 , zip
 , libbz2-dev
 , zlib1g-dev
 , libgtk2.0-dev
 , libhunspell-dev
 , libgamin-dev
 , libboost-dev
Standards-Version: 3.9.4
Homepage: http://codeblocks.org
Vcs-Git: git://anonscm.debian.org/collab-maint/codeblocks.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/codeblocks.git

Package: codeblocks
Architecture: any
Section: devel
Depends: ${shlibs:Depends}
 , ${misc:Depends}
 , codeblocks-common (= ${source:Version})
 , libcodeblocks0
Recommends:
 gcc | g++
 , gdb
 , xterm
Suggests:
 libwxgtk2.8-dev
 , wx-common
 , codeblocks-contrib
Description: Code::Blocks integrated development environment (IDE)
 Code::Blocks is a cross-platform Integrated Development Environment (IDE).
 It is based on a self-developed plugin framework allowing unlimited
 extensibility. Most of its functionality is already provided by plugins.
 Plugins included in the base package are:
    * Compiler frontend to many free compilers
    * Debugger frontend for GDB
    * Source formatter (based on AStyle)
    * Wizard to create new C++ classes
    * Code-completion / symbols-browser (work in progress)
    * Default MIME handler
    * Wizard to create new Code::Blocks plugins
    * To-do list
    * Extensible wizard based on scripts
    * Autosave (saves your work in the unfortunate case of a crash)

Package: codeblocks-common
Architecture: all
Breaks: codeblocks (<< 10.05)
Replaces: codeblocks (<< 10.05)
Depends: ${misc:Depends}
Description: common files for Code::Blocks IDE
 Code::Blocks is a cross-platform Integrated Development Environment (IDE).
 It is based on a self-developed plugin framework allowing unlimited
 extensibility. Most of its functionality is already provided by plugins.
 .
 This package contains the architecture-independent files of Code::Blocks.

Package: libcodeblocks0
Architecture: any
Section: libs
Depends: ${shlibs:Depends}
 , ${misc:Depends}
 , binutils (>= 2.14.90.0.7)
 , file
Recommends: codeblocks
Description: Code::Blocks shared library
 Code::Blocks is a cross-platform Integrated Development Environment (IDE).
 It is based on a self-developed plugin framework allowing unlimited
 extensibility. Most of its functionality is already provided by plugins.
 Plugins included in the base package are:
    * Compiler frontend to many free compilers
    * Debugger frontend for GDB
    * Source formatter (based on AStyle)
    * Wizard to create new C++ classes
    * Code-completion / symbols-browser (work in progress)
    * Default MIME handler
    * Wizard to create new Code::Blocks plugins
    * To-do list
    * Extensible wizard based on scripts
    * Autosave (saves your work in the unfortunate case of a crash)
 .
 This package contains the Code::Blocks shared library.

Package: codeblocks-dbg
Priority: extra
Architecture: any
Section: debug
Depends: ${misc:Depends}
 , codeblocks (= ${binary:Version})
 , codeblocks-contrib (= ${binary:Version})
Description: Code::Blocks debugging libraries
 Code::Blocks is a cross-platform Integrated Development Environment (IDE).
 It is based on a self-developed plugin framework allowing unlimited
 extensibility. Most of its functionality is already provided by plugins.
 Plugins included in the base package are:
    * Compiler frontend to many free compilers
    * Debugger frontend for GDB
    * Source formatter (based on AStyle)
    * Wizard to create new C++ classes
    * Code-completion / symbols-browser (work in progress)
    * Default MIME handler
    * Wizard to create new Code::Blocks plugins
    * To-do list
    * Extensible wizard based on scripts
    * Autosave (saves your work in the unfortunate case of a crash)
 .
 This package contains the debugging libraries for the 'codeblocks' package.

Package: codeblocks-contrib
Architecture: any
Depends: ${shlibs:Depends}
 , ${misc:Depends}
 , codeblocks (= ${binary:Version})
 , libwxsmithlib0 (= ${binary:Version})
Recommends:
 valgrind
Description: contrib plugins for Code::Blocks IDE
 This package extends Code::Blocks functionality a great deal with the included
 plugins. These are:
    * Code profiler (based on gprof) and code statistics (SLOCs etc)
    * Copy strings
    * DragScroll (enhances mouse operations)
    * Setting of environment variables
    * Source exporter to PDF/HTML/ODT/RTF
    * Header fixup
    * Help
    * Keyboard shortcuts configuration
    * RAD gui-builder for wxWidgets (wxSmith)
    * wxSmith AUI and wxSmith contrib items
    * Selection of small games for relaxing between coding sessions! (BYOGames)
    * Autoversioning
    * ThreadSearch
    * BrowseTracker
    * Valgrind
    * HexEditor
    * IncrementalSearch
    * Codesnippets
    * Library finder
    * Regular expression testbed
    * Symbol table plugin
    * CB koders
    * MouseSap
    * Cccc
    * CppCheck

Package: codeblocks-contrib-dbg
Priority: extra
Architecture: any
Section: oldlibs
Depends: ${misc:Depends}
 , codeblocks-dbg (= ${binary:Version})
Description: dummy transitional package for Code::Blocks debugging symbols
 This is a transitional package to migrate to codeblocks-dbg.
 Once no package depends on it, you may safely remove it.

Package: codeblocks-dev
Architecture: any
Section: libdevel
Depends: ${misc:Depends}
 , libcodeblocks0 (= ${binary:Version})
Description: Code::Blocks development files (SDK)
 Code::Blocks is a cross-platform Integrated Development Environment (IDE).
 It is based on a self-developed plugin framework allowing unlimited
 extensibility. Most of its functionality is already provided by plugins.
 Plugins included in the base package are:
    * Compiler frontend to many free compilers
    * Debugger frontend for GDB
    * Source formatter (based on AStyle)
    * Wizard to create new C++ classes
    * Code-completion / symbols-browser (work in progress)
    * Default MIME handler
    * Wizard to create new Code::Blocks plugins
    * To-do list
    * Extensible wizard based on scripts
    * Autosave (saves your work in the unfortunate case of a crash)
 .
 This package contains the development files (headers and libraries) for
 creating Code::Blocks plugins. 

Package: libwxsmithlib0
Architecture: any
Section: libs
Depends: ${shlibs:Depends}
 , ${misc:Depends}
 , libcodeblocks0 (= ${binary:Version})
Recommends: codeblocks-contrib (= ${binary:Version})
Description: wxSmith shared library (Code::Blocks plugin for RAD GUI editing)
 Code::Blocks is a cross-platform Integrated Development Environment (IDE).
 It is based on a self-developed plugin framework allowing unlimited
 extensibility. Most of its functionality is already provided by plugins.
 Plugins included in the base package are:
    * Compiler frontend to many free compilers
    * Debugger frontend for GDB
    * Source formatter (based on AStyle)
    * Wizard to create new C++ classes
    * Code-completion / symbols-browser (work in progress)
    * Default MIME handler
    * Wizard to create new Code::Blocks plugins
    * To-do list
    * Extensible wizard based on scripts
    * Autosave (saves your work in the unfortunate case of a crash)
 .
 This package contains the wxSmith shared library. 

Package: libwxsmithlib-dev
Architecture: any
Section: libdevel
Depends: ${misc:Depends}
 , libwxsmithlib0 (= ${binary:Version})
Replaces: libwxsmithlib0-dev (<< 10.05-1~)
Breaks: libwxsmithlib0-dev (<< 10.05-1~)
Description: wxSmith development files (Code::Blocks plugin for RAD GUI editing)
 Code::Blocks is a cross-platform Integrated Development Environment (IDE).
 It is based on a self-developed plugin framework allowing unlimited
 extensibility. Most of its functionality is already provided by plugins.
 Plugins included in the base package are:
    * Compiler frontend to many free compilers
    * Debugger frontend for GDB
    * Source formatter (based on AStyle)
    * Wizard to create new C++ classes
    * Code-completion / symbols-browser (work in progress)
    * Default MIME handler
    * Wizard to create new Code::Blocks plugins
    * To-do list
    * Extensible wizard based on scripts
    * Autosave (saves your work in the unfortunate case of a crash)
 .
 This package contains the wxSmith development libraries and headers.

Package: libwxsmithlib0-dev
Architecture: any
Section: oldlibs
Priority: extra
Depends: ${misc:Depends}
 , libwxsmithlib-dev (= ${binary:Version})
Description: dummy transitional package for wxSmith development files
 This is a transitional package to migrate to libwxsmithlib-dev.
 Once no package depends on it, you may safely remove it.

=== debian/rules ===
#!/usr/bin/make -f

NUMJOBS = $(shell getconf _NPROCESSORS_ONLN 2>/dev/null || echo 1)
ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
	NUMJOBS = $(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
	MAKEFLAGS += -j$(NUMJOBS)
else
	DEB_BUILD_OPTIONS += parallel=$(NUMJOBS)
	export DEB_BUILD_OPTIONS
endif

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

export DEB_LDFLAGS_MAINT_APPEND=-Wl,--as-needed

%:
	dh $@ \
		--with autoreconf \
		--parallel

override_dh_auto_configure:
	dh_auto_configure -- --with-contrib-plugins=all

override_dh_auto_install:
	dh_auto_install
	# Hack: avoid installing plugins into multiarch specific directory
	mv $(CURDIR)/debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/* \
	$(CURDIR)/debian/tmp/usr/lib/
	rmdir $(CURDIR)/debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)

override_dh_install:
	find $(CURDIR)/debian/tmp -name "*.la" -delete
	dh_install --fail-missing

override_dh_strip:
	dh_strip --dbg-package=codeblocks-dbg

overide_dh_makeshlibs:
	dh_makeshlibs -Xusr/lib/codeblocks/plugins -Xusr/lib/codeblocks/wxContribItems

override_dh_shlibdeps:
	dh_shlibdeps -Xusr/lib/codeblocks/plugins

=== debian/watch ===
version=3
opts="downloadurlmangle=s/prdownload/download/" \
http://developer.berlios.de/project/showfiles.php?group_id=5358 \
http://prdownload.berlios.de/codeblocks/codeblocks_([\d\.]+)-\d\.tar\.(?:gz|bz2|xz)

## codeblocks 13.12

=== src/plugins/contrib/SpellChecker/hunspell/intl/Makefile ===
# Makefile for directory with message catalog handling library of GNU gettext
# Copyright (C) 1995-1998, 2000-2007 Free Software Foundation, Inc.
#
# This program is free software; you can redistribute it and/or modify it
# under the terms of the GNU Library General Public License as published
# by the Free Software Foundation; either version 2, or (at your option)
# any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# Library General Public License for more details.
#
# You should have received a copy of the GNU Library General Public
# License along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301,
# USA.

PACKAGE = hunspell
VERSION = 1.2.12

SHELL = /bin/sh

srcdir = .
top_srcdir = ..
top_builddir = ..

# The VPATH variables allows builds with $builddir != $srcdir, assuming a
# 'make' program that supports VPATH (such as GNU make). This line is removed
# by autoconf automatically when "$(srcdir)" = ".".
# In this directory, the VPATH handling is particular:
# 1. If INTL_LIBTOOL_SUFFIX_PREFIX is 'l' (indicating a build with libtool),
#    the .c -> .lo rules carefully use $(srcdir), so that VPATH can be omitted.
# 2. If PACKAGE = gettext-tools, VPATH _must_ be omitted, because otherwise
#    'make' does the wrong thing if GNU gettext was configured with
#    "./configure --srcdir=`pwd`", namely it gets confused by the .lo and .la
#    files it finds in srcdir = ../../gettext-runtime/intl.


prefix = /usr/local
exec_prefix = ${prefix}
transform = s,x,x,
libdir = ${exec_prefix}/lib
includedir = ${prefix}/include
datarootdir = ${prefix}/share
datadir = ${datarootdir}
localedir = $(datadir)/locale
gettextsrcdir = $(datadir)/gettext/intl
aliaspath = $(localedir)
subdir = intl

INSTALL = /bin/install -c
INSTALL_DATA = ${INSTALL} -m 644

# We use $(mkdir_p).
# In automake <= 1.9.x, $(mkdir_p) is defined either as "mkdir -p --" or as
# "$(mkinstalldirs)" or as "$(install_sh) -d". For these automake versions,
# ${SHELL} /c/cppprj/cb/codeblocks/src/plugins/contrib/SpellChecker/Hunspell/install-sh does not start with $(SHELL), so we add it.
# In automake >= 1.10, /bin/mkdir -p is derived from ${MKDIR_P}, which is defined
# either as "/path/to/mkdir -p" or ".../install-sh -c -d". For these automake
# versions, $(mkinstalldirs) and $(install_sh) are unused.
mkinstalldirs = $(SHELL) ${SHELL} /c/cppprj/cb/codeblocks/src/plugins/contrib/SpellChecker/Hunspell/install-sh -d
install_sh = $(SHELL) ${SHELL} /c/cppprj/cb/codeblocks/src/plugins/contrib/SpellChecker/Hunspell/install-sh
MKDIR_P = /bin/mkdir -p
mkdir_p = /bin/mkdir -p

l = 

AR = ar
CC = gcc
LIBTOOL = $(SHELL) $(top_builddir)/libtool
RANLIB = ranlib
YACC = bison -y -d
YFLAGS = --name-prefix=__gettext
WINDRES = windres

# -DBUILDING_LIBINTL: Change expansion of LIBINTL_DLL_EXPORTED macro.
# -DBUILDING_DLL: Change expansion of RELOCATABLE_DLL_EXPORTED macro.
DEFS = -DLOCALEDIR=\"$(localedir)\" -DLOCALE_ALIAS_PATH=\"$(aliaspath)\" \
-DLIBDIR=\"$(libdir)\" -DBUILDING_LIBINTL -DBUILDING_DLL -DIN_LIBINTL \
-DENABLE_RELOCATABLE=1 -DIN_LIBRARY -DINSTALLDIR=\"$(libdir)\" -DNO_XMALLOC \
-Dset_relocation_prefix=libintl_set_relocation_prefix \
-Drelocate=libintl_relocate \
-DDEPENDS_ON_LIBICONV=1 -DHAVE_CONFIG_H
CPPFLAGS = 
CFLAGS = -g -O2 -fvisibility=hidden
LDFLAGS =  $(LDFLAGS_yes)
LDFLAGS_yes = -Wl,--export-all-symbols
LDFLAGS_no =
LIBS = 

COMPILE = $(CC) -c $(DEFS) $(INCLUDES) $(CPPFLAGS) $(CFLAGS) $(XCFLAGS)

HEADERS = \
  gmo.h \
  gettextP.h \
  hash-string.h \
  loadinfo.h \
  plural-exp.h \
  eval-plural.h \
  localcharset.h \
  lock.h \
  relocatable.h \
  tsearch.h tsearch.c \
  xsize.h \
  printf-args.h printf-args.c \
  printf-parse.h wprintf-parse.h printf-parse.c \
  vasnprintf.h vasnwprintf.h vasnprintf.c \
  os2compat.h \
  libgnuintl.h.in
SOURCES = \
  bindtextdom.c \
  dcgettext.c \
  dgettext.c \
  gettext.c \
  finddomain.c \
  hash-string.c \
  loadmsgcat.c \
  localealias.c \
  textdomain.c \
  l10nflist.c \
  explodename.c \
  dcigettext.c \
  dcngettext.c \
  dngettext.c \
  ngettext.c \
  plural.y \
  plural-exp.c \
  localcharset.c \
  lock.c \
  relocatable.c \
  langprefs.c \
  localename.c \
  log.c \
  printf.c \
  version.c \
  osdep.c \
  os2compat.c \
  intl-exports.c \
  intl-compat.c
OBJECTS = \
  bindtextdom.$lo \
  dcgettext.$lo \
  dgettext.$lo \
  gettext.$lo \
  finddomain.$lo \
  hash-string.$lo \
  loadmsgcat.$lo \
  localealias.$lo \
  textdomain.$lo \
  l10nflist.$lo \
  explodename.$lo \
  dcigettext.$lo \
  dcngettext.$lo \
  dngettext.$lo \
  ngettext.$lo \
  plural.$lo \
  plural-exp.$lo \
  localcharset.$lo \
  lock.$lo \
  relocatable.$lo \
  langprefs.$lo \
  localename.$lo \
  log.$lo \
  printf.$lo \
  version.$lo \
  osdep.$lo \
  intl-compat.$lo
OBJECTS_RES_yes = libintl.res
OBJECTS_RES_no =
DISTFILES.common = Makefile.in \
config.charset locale.alias ref-add.sin ref-del.sin export.h libintl.rc \
$(HEADERS) $(SOURCES)
DISTFILES.generated = plural.c
DISTFILES.normal = VERSION
DISTFILES.gettext = COPYING.LIB-2.0 COPYING.LIB-2.1 libintl.glibc README.woe32
DISTFILES.obsolete = xopen-msg.sed linux-msg.sed po2tbl.sed.in cat-compat.c \
COPYING.LIB-2 gettext.h libgettext.h plural-eval.c libgnuintl.h \
libgnuintl.h_vms Makefile.vms libgnuintl.h.msvc-static \
libgnuintl.h.msvc-shared Makefile.msvc

all: all-no
all-yes: libintl.$la libintl.h charset.alias ref-add.sed ref-del.sed
all-no: all-no-no
all-no-yes: libgnuintl.$la
all-no-no:

libintl.a libgnuintl.a: $(OBJECTS)
	rm -f $@
	$(AR) cru $@ $(OBJECTS)
	$(RANLIB) $@

libintl.la libgnuintl.la: $(OBJECTS) $(OBJECTS_RES_yes)
	$(LIBTOOL) --mode=link \
	  $(CC) $(CPPFLAGS) $(CFLAGS) $(XCFLAGS) $(LDFLAGS) -o $@ \
	  $(OBJECTS) -liconv  $(LIBS)  -lc \
	  $(OBJECTS_RES_yes) \
	  -version-info $(LTV_CURRENT):$(LTV_REVISION):$(LTV_AGE) \
	  -rpath $(libdir) \
	  -no-undefined

# Libtool's library version information for libintl.
# Before making a gettext release, the gettext maintainer must change this
# according to the libtool documentation, section "Library interface versions".
# Maintainers of other packages that include the intl directory must *not*
# change these values.
LTV_CURRENT=8
LTV_REVISION=2
LTV_AGE=0

.SUFFIXES:
.SUFFIXES: .c .y .o .lo .sin .sed

.c.o:
	$(COMPILE) $<

.y.c:
	$(YACC) $(YFLAGS) --output $@ $<
	rm -f $*.h

bindtextdom.lo: $(srcdir)/bindtextdom.c
	$(LIBTOOL) --mode=compile $(COMPILE) $(srcdir)/bindtextdom.c
dcgettext.lo: $(srcdir)/dcgettext.c
	$(LIBTOOL) --mode=compile $(COMPILE) $(srcdir)/dcgettext.c
dgettext.lo: $(srcdir)/dgettext.c
	$(LIBTOOL) --mode=compile $(COMPILE) $(srcdir)/dgettext.c
gettext.lo: $(srcdir)/gettext.c
	$(LIBTOOL) --mode=compile $(COMPILE) $(srcdir)/gettext.c
finddomain.lo: $(srcdir)/finddomain.c
	$(LIBTOOL) --mode=compile $(COMPILE) $(srcdir)/finddomain.c
hash-string.lo: $(srcdir)/hash-string.c
	$(LIBTOOL) --mode=compile $(COMPILE) $(srcdir)/hash-string.c
loadmsgcat.lo: $(srcdir)/loadmsgcat.c
	$(LIBTOOL) --mode=compile $(COMPILE) $(srcdir)/loadmsgcat.c
localealias.lo: $(srcdir)/localealias.c
	$(LIBTOOL) --mode=compile $(COMPILE) $(srcdir)/localealias.c
textdomain.lo: $(srcdir)/textdomain.c
	$(LIBTOOL) --mode=compile $(COMPILE) $(srcdir)/textdomain.c
l10nflist.lo: $(srcdir)/l10nflist.c
	$(LIBTOOL) --mode=compile $(COMPILE) $(srcdir)/l10nflist.c
explodename.lo: $(srcdir)/explodename.c
	$(LIBTOOL) --mode=compile $(COMPILE) $(srcdir)/explodename.c
dcigettext.lo: $(srcdir)/dcigettext.c
	$(LIBTOOL) --mode=compile $(COMPILE) $(srcdir)/dcigettext.c
dcngettext.lo: $(srcdir)/dcngettext.c
	$(LIBTOOL) --mode=compile $(COMPILE) $(srcdir)/dcngettext.c
dngettext.lo: $(srcdir)/dngettext.c
	$(LIBTOOL) --mode=compile $(COMPILE) $(srcdir)/dngettext.c
ngettext.lo: $(srcdir)/ngettext.c
	$(LIBTOOL) --mode=compile $(COMPILE) $(srcdir)/ngettext.c
plural.lo: $(srcdir)/plural.c
	$(LIBTOOL) --mode=compile $(COMPILE) $(srcdir)/plural.c
plural-exp.lo: $(srcdir)/plural-exp.c
	$(LIBTOOL) --mode=compile $(COMPILE) $(srcdir)/plural-exp.c
localcharset.lo: $(srcdir)/localcharset.c
	$(LIBTOOL) --mode=compile $(COMPILE) $(srcdir)/localcharset.c
lock.lo: $(srcdir)/lock.c
	$(LIBTOOL) --mode=compile $(COMPILE) $(srcdir)/lock.c
relocatable.lo: $(srcdir)/relocatable.c
	$(LIBTOOL) --mode=compile $(COMPILE) $(srcdir)/relocatable.c
langprefs.lo: $(srcdir)/langprefs.c
	$(LIBTOOL) --mode=compile $(COMPILE) $(srcdir)/langprefs.c
localename.lo: $(srcdir)/localename.c
	$(LIBTOOL) --mode=compile $(COMPILE) $(srcdir)/localename.c
log.lo: $(srcdir)/log.c
	$(LIBTOOL) --mode=compile $(COMPILE) $(srcdir)/log.c
printf.lo: $(srcdir)/printf.c
	$(LIBTOOL) --mode=compile $(COMPILE) $(srcdir)/printf.c
version.lo: $(srcdir)/version.c
	$(LIBTOOL) --mode=compile $(COMPILE) $(srcdir)/version.c
osdep.lo: $(srcdir)/osdep.c
	$(LIBTOOL) --mode=compile $(COMPILE) $(srcdir)/osdep.c
intl-compat.lo: $(srcdir)/intl-compat.c
	$(LIBTOOL) --mode=compile $(COMPILE) $(srcdir)/intl-compat.c

# This rule is executed only on Woe32 systems.
# The following sed expressions come from the windres-options script. They are
# inlined here, so that they can be written in a Makefile without requiring a
# temporary file. They must contain literal newlines rather than semicolons,
# so that they work with the sed-3.02 that is shipped with MSYS. We can use
# GNU bash's $'\n' syntax to obtain such a newline.
libintl.res: $(srcdir)/libintl.rc
	nl=$$'\n'; \
	sed_extract_major='/^[0-9]/{'$${nl}'s/^\([0-9]*\).*/\1/p'$${nl}q$${nl}'}'$${nl}'c\'$${nl}0$${nl}q; \
	sed_extract_minor='/^[0-9][0-9]*[.][0-9]/{'$${nl}'s/^[0-9]*[.]\([0-9]*\).*/\1/p'$${nl}q$${nl}'}'$${nl}'c\'$${nl}0$${nl}q; \
	sed_extract_subminor='/^[0-9][0-9]*[.][0-9][0-9]*[.][0-9]/{'$${nl}'s/^[0-9]*[.][0-9]*[.]\([0-9]*\).*/\1/p'$${nl}q$${nl}'}'$${nl}'c\'$${nl}0$${nl}q; \
	$(WINDRES) \
	  "-DPACKAGE_VERSION_STRING=\\\"$(VERSION)\\\"" \
	  "-DPACKAGE_VERSION_MAJOR="`echo '$(VERSION)' | sed -n -e "$$sed_extract_major"` \
	  "-DPACKAGE_VERSION_MINOR="`echo '$(VERSION)' | sed -n -e "$$sed_extract_minor"` \
	  "-DPACKAGE_VERSION_SUBMINOR="`echo '$(VERSION)' | sed -n -e "$$sed_extract_subminor"` \
	  -i $(srcdir)/libintl.rc -o libintl.res --output-format=coff

ref-add.sed: $(srcdir)/ref-add.sin
	sed -e '/^#/d' -e 's/@''PACKAGE''@/hunspell/g' $(srcdir)/ref-add.sin > t-ref-add.sed
	mv t-ref-add.sed ref-add.sed
ref-del.sed: $(srcdir)/ref-del.sin
	sed -e '/^#/d' -e 's/@''PACKAGE''@/hunspell/g' $(srcdir)/ref-del.sin > t-ref-del.sed
	mv t-ref-del.sed ref-del.sed

INCLUDES = -I. -I$(srcdir) -I..

libgnuintl.h: $(srcdir)/libgnuintl.h.in
	sed -e '/IN_LIBGLOCALE/d' \
	    -e 's,@''HAVE_POSIX_PRINTF''@,0,g' \
	    -e 's,@''HAVE_ASPRINTF''@,0,g' \
	    -e 's,@''HAVE_SNPRINTF''@,1,g' \
	    -e 's,@''HAVE_WPRINTF''@,0,g' \
	  < $(srcdir)/libgnuintl.h.in \
	| if test 'yes' = yes; then \
	    sed -e 's/extern \([^()]*\);/extern __declspec (dllimport) \1;/'; \
	  else \
	    cat; \
	  fi \
	| sed -e 's/extern \([^"]\)/extern LIBINTL_DLL_EXPORTED \1/' \
	      -e "/#define _LIBINTL_H/r $(srcdir)/export.h" \
	| sed -e 's,@''HAVE_VISIBILITY''@,1,g' \
	  > libgnuintl.h

libintl.h: $(srcdir)/libgnuintl.h.in
	sed -e '/IN_LIBGLOCALE/d' \
	    -e 's,@''HAVE_POSIX_PRINTF''@,0,g' \
	    -e 's,@''HAVE_ASPRINTF''@,0,g' \
	    -e 's,@''HAVE_SNPRINTF''@,1,g' \
	    -e 's,@''HAVE_WPRINTF''@,0,g' \
	  < $(srcdir)/libgnuintl.h.in > libintl.h

charset.alias: $(srcdir)/config.charset
	$(SHELL) $(srcdir)/config.charset 'i686-pc-mingw32' > t-$@
	mv t-$@ $@

check: all

# We must not install the libintl.h/libintl.a files if we are on a
# system which has the GNU gettext() function in its C library or in a
# separate library.
# If you want to use the one which comes with this version of the
# package, you have to use `configure --with-included-gettext'.
install: install-exec install-data
install-exec: all

=== src/plugins/contrib/SpellChecker/hunspell/m4/Makefile ===
# Makefile.in generated by automake 1.11.1 from Makefile.am.
# m4/Makefile.  Generated from Makefile.in by configure.

# Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
# 2003, 2004, 2005, 2006, 2007, 2008, 2009  Free Software Foundation,
# Inc.
# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.



pkgdatadir = $(datadir)/hunspell
pkgincludedir = $(includedir)/hunspell
pkglibdir = $(libdir)/hunspell
pkglibexecdir = $(libexecdir)/hunspell
am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
build_triplet = i686-pc-mingw32
host_triplet = i686-pc-mingw32
target_triplet = i686-pc-mingw32
subdir = m4
DIST_COMMON = README $(srcdir)/Makefile.am $(srcdir)/Makefile.in \
	ChangeLog
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
am__aclocal_m4_deps = $(top_srcdir)/m4/codeset.m4 \
	$(top_srcdir)/m4/gettext.m4 $(top_srcdir)/m4/glibc2.m4 \
	$(top_srcdir)/m4/glibc21.m4 $(top_srcdir)/m4/iconv.m4 \
	$(top_srcdir)/m4/intdiv0.m4 $(top_srcdir)/m4/intl.m4 \
	$(top_srcdir)/m4/intlmacosx.m4 $(top_srcdir)/m4/intmax.m4 \
	$(top_srcdir)/m4/inttypes-pri.m4 \
	$(top_srcdir)/m4/inttypes_h.m4 $(top_srcdir)/m4/lcmessage.m4 \
	$(top_srcdir)/m4/lib-ld.m4 $(top_srcdir)/m4/lib-link.m4 \
	$(top_srcdir)/m4/lib-prefix.m4 $(top_srcdir)/m4/libtool.m4 \
	$(top_srcdir)/m4/lock.m4 $(top_srcdir)/m4/longlong.m4 \
	$(top_srcdir)/m4/ltoptions.m4 $(top_srcdir)/m4/ltsugar.m4 \
	$(top_srcdir)/m4/ltversion.m4 $(top_srcdir)/m4/lt~obsolete.m4 \
	$(top_srcdir)/m4/nls.m4 $(top_srcdir)/m4/po.m4 \
	$(top_srcdir)/m4/printf-posix.m4 $(top_srcdir)/m4/progtest.m4 \
	$(top_srcdir)/m4/size_max.m4 $(top_srcdir)/m4/stdint_h.m4 \
	$(top_srcdir)/m4/uintmax_t.m4 $(top_srcdir)/m4/visibility.m4 \
	$(top_srcdir)/m4/wchar_t.m4 $(top_srcdir)/m4/wint_t.m4 \
	$(top_srcdir)/m4/xsize.m4 $(top_srcdir)/configure.ac
am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
	$(ACLOCAL_M4)
mkinstalldirs = $(SHELL) $(top_srcdir)/mkinstalldirs
CONFIG_HEADER = $(top_builddir)/config.h
CONFIG_CLEAN_FILES =
CONFIG_CLEAN_VPATH_FILES =
SOURCES =
DIST_SOURCES =
DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
ACLOCAL = ${SHELL} /c/cppprj/cb/codeblocks/src/plugins/contrib/SpellChecker/Hunspell/missing --run aclocal-1.11
ALLOCA = 
AMTAR = ${SHELL} /c/cppprj/cb/codeblocks/src/plugins/contrib/SpellChecker/Hunspell/missing --run tar
AR = ar
AS = as
AUTOCONF = ${SHELL} /c/cppprj/cb/codeblocks/src/plugins/contrib/SpellChecker/Hunspell/missing --run autoconf
AUTOHEADER = ${SHELL} /c/cppprj/cb/codeblocks/src/plugins/contrib/SpellChecker/Hunspell/missing --run autoheader
AUTOMAKE = ${SHELL} /c/cppprj/cb/codeblocks/src/plugins/contrib/SpellChecker/Hunspell/missing --run automake-1.11
AWK = gawk
BUILD_INCLUDED_LIBINTL = no
CATOBJEXT = .gmo
CC = gcc
CCDEPMODE = depmode=gcc3
CFLAGS = -g -O2
CFLAG_VISIBILITY = -fvisibility=hidden
CPP = gcc -E
CPPFLAGS = 
CURSESLIB = 
CXX = g++
CXXCPP = g++ -E
CXXDEPMODE = depmode=gcc3
CXXFLAGS = -g -O2
CYGPATH_W = echo
DATADIRNAME = share
DEFS = -DHAVE_CONFIG_H
DEPDIR = .deps
DLLTOOL = dlltool
DSYMUTIL = 
DUMPBIN = 
ECHO_C = 
ECHO_N = -n
ECHO_T = 
EGREP = /bin/grep -E
EXEEXT = .exe
FGREP = /bin/grep -F
GENCAT = gencat
GETTEXT_MACRO_VERSION = 0.17
GLIBC2 = no
GLIBC21 = no
GMSGFMT = /mingw/bin/msgfmt
GMSGFMT_015 = /mingw/bin/msgfmt
GREP = /bin/grep
HAVE_ASPRINTF = 0
HAVE_POSIX_PRINTF = 0
HAVE_SNPRINTF = 1
HAVE_VISIBILITY = 1
HAVE_WPRINTF = 0
HUNSPELL_VERSION_MAJOR = 1
HUNSPELL_VERSION_MINOR = 2
INSTALL = /bin/install -c
INSTALL_DATA = ${INSTALL} -m 644
INSTALL_PROGRAM = ${INSTALL}
INSTALL_SCRIPT = ${INSTALL}
INSTALL_STRIP_PROGRAM = $(install_sh) -c -s
INSTOBJEXT = .mo
INTLBISON = bison
INTLLIBS = -lintl
INTLOBJS = 
INTL_LIBTOOL_SUFFIX_PREFIX = 
INTL_MACOSX_LIBS = 
LD = c:/mingw/mingw32/bin/ld.exe
LDFLAGS = 
LIBICONV = -liconv
LIBINTL = -lintl
LIBMULTITHREAD = -lpthread
LIBOBJS =  ${LIBOBJDIR}error$U.o
LIBPTH = 
LIBPTH_PREFIX = 
LIBS = 
LIBTHREAD = 
LIBTOOL = $(SHELL) $(top_builddir)/libtool
LIPO = 
LN_S = cp -p
LTLIBC = -lc
LTLIBICONV = -liconv
LTLIBINTL = -lintl
LTLIBMULTITHREAD = -lpthread
LTLIBOBJS =  ${LIBOBJDIR}error$U.lo
LTLIBPTH = 
LTLIBTHREAD = 
MAKEINFO = ${SHELL} /c/cppprj/cb/codeblocks/src/plugins/contrib/SpellChecker/Hunspell/missing --run makeinfo
MKDIR_P = /bin/mkdir -p
MSGFMT = /mingw/bin/msgfmt
MSGFMT_015 = /mingw/bin/msgfmt
MSGMERGE = /mingw/bin/msgmerge
NM = /mingw/bin/nm
NMEDIT = 
OBJDUMP = objdump
OBJEXT = o
OTOOL = 
OTOOL64 = 
PACKAGE = hunspell
PACKAGE_BUGREPORT = nemeth@openoffice.org
PACKAGE_NAME = hunspell
PACKAGE_STRING = hunspell 1.2.12
PACKAGE_TARNAME = hunspell
PACKAGE_URL = 
PACKAGE_VERSION = 1.2.12
PATH_SEPARATOR = :
POSUB = po
PRI_MACROS_BROKEN = 0
RANLIB = ranlib
READLINELIB = 
SED = /bin/sed
SET_MAKE = 
SHELL = /bin/sh
STRIP = strip
USE_INCLUDED_LIBINTL = no
USE_NLS = yes
VERSION = 1.2.12
WINDRES = windres
WOE32 = yes
WOE32DLL = yes
XFAILED = 
XGETTEXT = /mingw/bin/xgettext
XGETTEXT_015 = /mingw/bin/xgettext
XGETTEXT_EXTRA_OPTIONS = 
abs_builddir = /c/cppprj/cb/codeblocks/src/plugins/contrib/SpellChecker/Hunspell/m4
abs_srcdir = /c/cppprj/cb/codeblocks/src/plugins/contrib/SpellChecker/Hunspell/m4
abs_top_builddir = /c/cppprj/cb/codeblocks/src/plugins/contrib/SpellChecker/Hunspell
abs_top_srcdir = /c/cppprj/cb/codeblocks/src/plugins/contrib/SpellChecker/Hunspell
ac_ct_CC = gcc
ac_ct_CXX = g++
ac_ct_DUMPBIN = 
am__include = include
am__leading_dot = .
am__quote = 
am__tar = ${AMTAR} chof - "$$tardir"
am__untar = ${AMTAR} xf -
bindir = ${exec_prefix}/bin
build = i686-pc-mingw32
build_alias = 
build_cpu = i686
build_os = mingw32
build_vendor = pc
builddir = .
datadir = ${datarootdir}
datarootdir = ${prefix}/share
docdir = ${datarootdir}/doc/${PACKAGE_TARNAME}
dvidir = ${docdir}
exec_prefix = ${prefix}
host = i686-pc-mingw32
host_alias = 
host_cpu = i686
host_os = mingw32
host_vendor = pc
htmldir = ${docdir}
includedir = ${prefix}/include
infodir = ${datarootdir}/info
install_sh = ${SHELL} /c/cppprj/cb/codeblocks/src/plugins/contrib/SpellChecker/Hunspell/install-sh
libdir = ${exec_prefix}/lib
libexecdir = ${exec_prefix}/libexec
localedir = ${datarootdir}/locale
localstatedir = ${prefix}/var
lt_ECHO = echo
mandir = ${datarootdir}/man
mkdir_p = /bin/mkdir -p
oldincludedir = /usr/include
pdfdir = ${docdir}
prefix = /usr/local
program_transform_name = s,x,x,
psdir = ${docdir}
sbindir = ${exec_prefix}/sbin
sharedstatedir = ${prefix}/com
srcdir = .
sysconfdir = ${prefix}/etc
target = i686-pc-mingw32
target_alias = 
target_cpu = i686
target_os = mingw32
target_vendor = pc
top_build_prefix = ../
top_builddir = ..
top_srcdir = ..
EXTRA_DIST = README codeset.m4 gettext.m4 glibc21.m4 iconv.m4	  \
isc-posix.m4 lcmessage.m4 lib-ld.m4 lib-link.m4 lib-prefix.m4	  \
progtest.m4 glibc2.m4 intdiv0.m4 intl.m4 intldir.m4 intlmacosx.m4 \
intmax.m4 inttypes-pri.m4 inttypes_h.m4 lock.m4 longlong.m4       \
nls.m4 po.m4 printf-posix.m4 size_max.m4 stdint_h.m4 uintmax_t.m4 \
visibility.m4 wchar_t.m4 wint_t.m4 xsize.m4

all: all-am

.SUFFIXES:
$(srcdir)/Makefile.in:  $(srcdir)/Makefile.am  $(am__configure_deps)
	@for dep in $?; do \
	  case '$(am__configure_deps)' in \
	    *$$dep*) \
	      ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
	        && { if test -f $@; then exit 0; else break; fi; }; \
	      exit 1;; \
	  esac; \
	done; \
	echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu m4/Makefile'; \
	$(am__cd) $(top_srcdir) && \
	  $(AUTOMAKE) --gnu m4/Makefile
.PRECIOUS: Makefile
Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
	@case '$?' in \
	  *config.status*) \
	    cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
	  *) \
	    echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
	    cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
	esac;

$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh

$(top_srcdir)/configure:  $(am__configure_deps)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
$(ACLOCAL_M4):  $(am__aclocal_m4_deps)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
$(am__aclocal_m4_deps):

mostlyclean-libtool:
	-rm -f *.lo

clean-libtool:
	-rm -rf .libs _libs
tags: TAGS
TAGS:

ctags: CTAGS
CTAGS:


distdir: $(DISTFILES)
	@srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
	topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
	list='$(DISTFILES)'; \
	  dist_files=`for file in $$list; do echo $$file; done | \
	  sed -e "s|^$$srcdirstrip/||;t" \
	      -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
	case $$dist_files in \
	  */*) $(MKDIR_P) `echo "$$dist_files" | \
			   sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
			   sort -u` ;; \
	esac; \
	for file in $$dist_files; do \
	  if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
	  if test -d $$d/$$file; then \
	    dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
	    if test -d "$(distdir)/$$file"; then \
	      find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
	    fi; \
	    if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
	      cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
	      find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
	    fi; \
	    cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
	  else \
	    test -f "$(distdir)/$$file" \
	    || cp -p $$d/$$file "$(distdir)/$$file" \
	    || exit 1; \
	  fi; \
	done
check-am: all-am
check: check-am
all-am: Makefile
installdirs:
install: install-am
install-exec: install-exec-am
install-data: install-data-am
uninstall: uninstall-am

install-am: all-am
	@$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am

installcheck: installcheck-am
install-strip:
	$(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
	  install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
	  `test -z '$(STRIP)' || \
	    echo "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'"` install
mostlyclean-generic:

clean-generic:

distclean-generic:
	-test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
	-test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)

maintainer-clean-generic:
	@echo "This command is intended for maintainers to use"
	@echo "it deletes files that may require special tools to rebuild."
clean: clean-am

clean-am: clean-generic clean-libtool mostlyclean-am

distclean: distclean-am
	-rm -f Makefile
distclean-am: clean-am distclean-generic

dvi: dvi-am

dvi-am:

html: html-am

html-am:

info: info-am

info-am:

install-data-am:

install-dvi: install-dvi-am

install-dvi-am:

install-exec-am:

install-html: install-html-am

install-html-am:

install-info: install-info-am

install-info-am:

install-man:

install-pdf: install-pdf-am

install-pdf-am:

install-ps: install-ps-am

install-ps-am:

installcheck-am:

maintainer-clean: maintainer-clean-am
	-rm -f Makefile
maintainer-clean-am: distclean-am maintainer-clean-generic

mostlyclean: mostlyclean-am

mostlyclean-am: mostlyclean-generic mostlyclean-libtool

pdf: pdf-am

pdf-am:

ps: ps-am

ps-am:

uninstall-am:

.MAKE: install-am install-strip

.PHONY: all all-am check check-am clean clean-generic clean-libtool \

=== debian/changelog ===
codeblocks (13.12-3) unstable; urgency=medium

  * Add depends on libgamin0 to codeblocks-contrib. (Closes: #726761)

 -- Vincent Cheng <vcheng@debian.org>  Sun, 26 Jan 2014 20:30:28 -0800

codeblocks (13.12-2) unstable; urgency=medium

  * Build-dep only on libwxgtk2.8-dev to avoid wxgtk3.0-related crashes.
    (Closes: #736368)

 -- Vincent Cheng <vcheng@debian.org>  Wed, 22 Jan 2014 14:38:25 -0800

codeblocks (13.12-1) unstable; urgency=medium

  * New upstream release.
    - Drop 01-codeblocks_plugin_path.patch, 05-support_-std=c99.patch;
      obsolete.
    - Drop 04-add_support_for_sh4.patch; applied upstream.
    - Refresh (and reorder) remaining patches.
  * Add libwxgtk3.0-dev as alternative build-dep (for libwxgtk2.8-dev).
  * Add menu file.
  * Standards-Version bump to 3.9.5, no changes needed.
  * Update watch file.
  * Update my email address.

 -- Vincent Cheng <vcheng@debian.org>  Wed, 15 Jan 2014 13:18:05 -0800

codeblocks (12.11-3) unstable; urgency=low

  * Upload to unstable.
  * Update watch file, thanks to Bart Martens.

 -- Vincent Cheng <Vincentc1208@gmail.com>  Mon, 06 May 2013 00:20:02 -0700

=== debian/control ===
--- 
+++ 
@@ -3,8 +3,8 @@
 Priority: optional
 Maintainer: David Paleino <dapal@debian.org>
 Uploaders: Michael Casadevall <sonicmctails@gmail.com>,
- Vincent Cheng <Vincentc1208@gmail.com>
-Build-Depends: debhelper (>= 9~)
+           Vincent Cheng <vcheng@debian.org>
+Build-Depends: debhelper (>= 8~)
  , dh-autoreconf
  , libwxgtk2.8-dev
  , wx-common
@@ -15,7 +15,7 @@
  , libhunspell-dev
  , libgamin-dev
  , libboost-dev
-Standards-Version: 3.9.4
+Standards-Version: 3.9.5
 Homepage: http://codeblocks.org
 Vcs-Git: git://anonscm.debian.org/collab-maint/codeblocks.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/codeblocks.git
@@ -119,6 +119,7 @@
 Depends: ${shlibs:Depends}
  , ${misc:Depends}
  , codeblocks (= ${binary:Version})
+ , libgamin0
  , libwxsmithlib0 (= ${binary:Version})
 Recommends:
  valgrind

=== debian/rules ===
--- 
+++ 
@@ -9,9 +9,9 @@
 	export DEB_BUILD_OPTIONS
 endif
 
-DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
-
 export DEB_LDFLAGS_MAINT_APPEND=-Wl,--as-needed
+DPKG_EXPORT_BUILDFLAGS = 1
+include /usr/share/dpkg/buildflags.mk
 
 %:
 	dh $@ \
@@ -20,13 +20,6 @@
 
 override_dh_auto_configure:
 	dh_auto_configure -- --with-contrib-plugins=all
-
-override_dh_auto_install:
-	dh_auto_install
-	# Hack: avoid installing plugins into multiarch specific directory
-	mv $(CURDIR)/debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/* \
-	$(CURDIR)/debian/tmp/usr/lib/
-	rmdir $(CURDIR)/debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)
 
 override_dh_install:
 	find $(CURDIR)/debian/tmp -name "*.la" -delete

=== debian/watch ===
version=3
opts="uversionmangle=s/-rc/~rc/" \
http://developer.berlios.de/project/showfiles.php?group_id=5358 .*/codeblocks[_\-](\d[^_l]*)\.(?:tgz|tbz2|txz|tar\.(?:gz|bz2|xz))

## codeblocks 13.12+dfsg

=== src/sdk/wxscintilla/build/Makefile ===
--- 
+++ 
@@ -3,7 +3,7 @@
 ## Purpose:     wxScintilla
 ## Maintainer:  Otto Wyss
 ## Created:     2004-09-19
-## RCS-ID:      $Id$
+## RCS-ID:      $Id: Makefile 4946 2008-03-13 09:14:30Z mortenmacfly $
 ## Copyright:   (c) 2004 wxCode
 ## Licence:     wxWindows
 ##############################################################################

=== debian/changelog ===
codeblocks (13.12+dfsg-4) unstable; urgency=medium

  * Acknowledge NMU, thanks to Olly Betts!
  * Repack tarball to fix license-problem-non-free-img-lenna. (Closes: #794852)
    - Add debian/patches/02-remove_lena_references.patch.
  * Update Vcs-Browser URL to use cgit.
  * Update watch file.
  * Standards-Version bump to 3.9.6, no changes needed.

 -- Vincent Cheng <vcheng@debian.org>  Thu, 20 Aug 2015 02:44:11 -0700

codeblocks (13.12-3.1) unstable; urgency=low

  * Non-maintainer upload.
  * Update to use wxWidgets 3.0. (Closes: #744115)

 -- Olly Betts <olly@survex.com>  Wed, 13 May 2015 16:06:43 +1200

=== debian/control ===
--- 
+++ 
@@ -6,8 +6,7 @@
            Vincent Cheng <vcheng@debian.org>
 Build-Depends: debhelper (>= 8~)
  , dh-autoreconf
- , libwxgtk2.8-dev
- , wx-common
+ , libwxgtk3.0-dev
  , zip
  , libbz2-dev
  , zlib1g-dev
@@ -15,10 +14,10 @@
  , libhunspell-dev
  , libgamin-dev
  , libboost-dev
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Homepage: http://codeblocks.org
 Vcs-Git: git://anonscm.debian.org/collab-maint/codeblocks.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/codeblocks.git
+Vcs-Browser: http://anonscm.debian.org/cgit/collab-maint/codeblocks.git
 
 Package: codeblocks
 Architecture: any
@@ -32,8 +31,7 @@
  , gdb
  , xterm
 Suggests:
- libwxgtk2.8-dev
- , wx-common
+ libwxgtk3.0-dev
  , codeblocks-contrib
 Description: Code::Blocks integrated development environment (IDE)
  Code::Blocks is a cross-platform Integrated Development Environment (IDE).

=== debian/rules ===
--- 
+++ 
@@ -10,6 +10,9 @@
 endif
 
 export DEB_LDFLAGS_MAINT_APPEND=-Wl,--as-needed
+# Disable WXDEBUG checks, which wx3.0 defaults to enabling but were off by
+# default in wx2.8, to address issues such as #736368.
+export DEB_CPPFLAGS_MAINT_APPEND=-DNDEBUG
 DPKG_EXPORT_BUILDFLAGS = 1
 include /usr/share/dpkg/buildflags.mk
 
@@ -33,3 +36,7 @@
 
 override_dh_shlibdeps:
 	dh_shlibdeps -Xusr/lib/codeblocks/plugins
+
+get-orig-source:
+	# non-free "lena" images removed; see #794852 for details
+	uscan --download-current-version

=== debian/watch ===
version=3
opts="uversionmangle=s/-rc/~rc/;s/.suse/~suse/;s/-1$//,dversionmangle=s/\+dfsg//" \
http://sf.net/codeblocks/codeblocks[_\-](\d[^_l]*)\.(?:tgz|tbz2|txz|tar\.(?:gz|bz2|xz))

## codeblocks 16.01%2Bdfsg

=== debian/changelog ===
codeblocks (16.01+dfsg-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Apply patch from upstream svn to fix FTBFS with GCC 7.1 (Closes: #853349)

 -- Andreas Moog <andreas.moog@warperbbs.de>  Sat, 30 Sep 2017 20:21:54 +0200

codeblocks (16.01+dfsg-2) unstable; urgency=medium

  * Drop debian/patches/05-fix-boost-system-1.60.patch; obsolete.
  * Add debian/patches/05-remove-rsa-md5-impl.patch to fix non-distributability
    of codeblocks package due to GPL and RSA md5 license conflict. Thanks to
    Alexander for the initial version of the patch! (Closes: #826379)
  * Drop build-dep on libboost-system-dev.
  * Drop obsolete dh_install files.
  * Update debian/copyright.

 -- Vincent Cheng <vcheng@debian.org>  Tue, 14 Jun 2016 23:57:50 -0700

codeblocks (16.01+dfsg-1) unstable; urgency=medium

  * New upstream release. (Closes: #803436, #813898)
  * Add debian/patches/03-remove-fPIC-from-pkg-info.patch, thanks to Alexander
    GQ Gerasiov <gq@debian.org>.
  * Add debian/patches/04-reproducible_build.patch and d/rules changes to make
    build reproducible. (Closes: #824182)
  * Add debian/patches/05-fix-boost-system-1.60.patch to fix a FTBFS with
    boost1.60; imported from Ubuntu. Thanks to Gianfranco Costamagna.
  * Add build-depends on libboost-system-dev.
  * Actually bump debhelper compatibility level to 9.
  * Update debian/copyright. Most of the work done by Alexander, thanks!
  * Update watch file.
  * Standards-Version bump to 3.9.8.
    - Drop obsolete debian/menu files.

 -- Vincent Cheng <vcheng@debian.org>  Mon, 23 May 2016 17:08:23 -0700
